import { defineComponent, $prefix, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/upload-list/vue";
import Progress from "@dft-vue-2-opentiny/vue-progress";
import ActionSheet from "@dft-vue-2-opentiny/vue-action-sheet";
import Record from "@dft-vue-2-opentiny/vue-record";
import { IconError, IconCueL, IconEyeopen, IconDownload, IconDel, IconRefres, IconRight, IconPause, IconAudio, IconEllipsis, IconExcelType, IconFileType, IconOtherType, IconPdfType, IconPictureType, IconPptType, IconTextType, IconVideoType, IconWordType, IconZipType, IconCloudUpload } from "@dft-vue-2-opentiny/vue-icon";
import Modal from "@dft-vue-2-opentiny/vue-modal";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "UploadList",
  components: {
    TinyProgress: Progress,
    IconError: IconError(),
    IconCueL: IconCueL(),
    IconEyeopen: IconEyeopen(),
    IconDownload: IconDownload(),
    IconDel: IconDel(),
    IconRefres: IconRefres(),
    IconRight: IconRight(),
    IconPause: IconPause(),
    IconAudio: IconAudio(),
    IconEllipsis: IconEllipsis(),
    TinyActionSheet: ActionSheet,
    IconExcelType: IconExcelType(),
    IconFileType: IconFileType(),
    IconOtherType: IconOtherType(),
    IconPdfType: IconPdfType(),
    IconPictureType: IconPictureType(),
    IconPptType: IconPptType(),
    IconTextType: IconTextType(),
    IconVideoType: IconVideoType(),
    IconWordType: IconWordType(),
    IconZipType: IconZipType(),
    IconCloudUpload: IconCloudUpload(),
    TinyRecord: Record
  },
  props: [].concat(props, ["disabled", "display", "files", "filesIcon", "handlePreview", "isEdm", "isFolder", "listType", "openDownloadFile", "srcList", "isFolderTitle", "listOption", "maxNameLength", "scale", "showName", "types", "edm", "displayOnly", "handleDownloadFile", "handleReUpload", "isDragover", "selected", "triggerClick", "isHwh5", "triggerPlay", "mode", "lockScroll"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        Modal
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", [_vm.listType === "text" ? _c("div", {
    ref: "upload-list",
    staticClass: "border-dashed border-color-border",
    class: [_vm.state.files.length || _vm.mode === "bubble" ? "sm:border-0" : "sm:border-t", {
      "sm:h-52 overflow-y-auto overflow-x-hidden": _vm.mode === "bubble"
    }]
  }, [_vm.state.files.length ? _c("div", {
    staticClass: "text-[0]"
  }, _vm._l(_vm.state.files, function(file, index) {
    return _c("div", {
      key: file.uid,
      ref: "upload-list-li",
      refInFor: true,
      staticClass: "group relative sm:inline-block min-w-full sm:min-w-[theme(spacing.112)] p-3 mr-2 border-0.5 sm:border border-color-border-separator rounded hover:bg-color-bg-2",
      class: {
        "sm:border-color-brand border-color-border-separator": file.uid === (_vm.selected && _vm.selected.uid),
        "mb-2": index !== _vm.state.files.length - 1
      },
      attrs: {
        "tabindex": "0"
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("click-file-list", file);
        }
      }
    }, [_vm._t("default", [_c("div", {
      staticClass: "relative inline-block w-8 h-8 mr-2 align-top"
    }, [~["uploading"].indexOf(file.status) ? _c("div", {
      staticClass: "w-1/2 h-full absolute top-0 left-0 rounded-l overflow-hidden"
    }, [_c("div", {
      staticClass: "absolute w-16 h-16 top-1/2 right-0 origin-right bg-color-bg-7",
      style: {
        transform: "translateY(-50%) rotate(" + _vm.parsePercentage(Math.max(0, Math.min(file.percentage || 0, 100) - 50) / 50 * 180) + "deg)"
      }
    })]) : _vm._e(), ~["uploading"].indexOf(file.status) ? _c("div", {
      staticClass: "w-1/2 h-full absolute top-0 left-1/2 rounded-r overflow-hidden"
    }, [_c("div", {
      staticClass: "absolute w-16 h-16 top-1/2 left-0 origin-left bg-color-bg-7",
      style: {
        transform: "translateY(-50%) rotate(" + _vm.parsePercentage(Math.min(50, file.percentage || 0) / 50 * 180) + "deg)"
      }
    })]) : _vm._e(), ~["uploading", "success", "downloading"].indexOf(file.status) ? _c(_vm.getFileIcon({
      type: _vm.getFileType({
        file
      })
    }).name, {
      tag: "component",
      style: {
        fill: _vm.getFileIcon({
          type: _vm.getFileType({
            file
          })
        }).color
      },
      attrs: {
        "custom-class": "w-full h-full rounded-sm"
      }
    }) : _vm._e(), ~["fail"].indexOf(file.status) ? _c("div", {
      staticClass: "relative w-full h-full bg-color-error-subtler rounded-sm"
    }, [_c("icon-cue-l", {
      staticClass: "absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 fill-color-error"
    })], 1) : _vm._e()], 1), _c("div", {
      staticClass: "relative inline-block w-[calc(100%-theme(spacing.10))] text-xs pr-10 sm:pr-0"
    }, [_c("div", {
      staticClass: "flex h-4"
    }, [_c("div", {
      staticClass: "flex-1 sm:mr-6 text-sm sm:text-xs leading-3 sm:leading-3 text-color-text-primary overflow-hidden text-ellipsis whitespace-nowrap"
    }, [_c("span", {
      attrs: {
        "title": file.name
      }
    }, [_vm._v(_vm._s(file.name.split(".").filter(function(item, i, arr) {
      return arr.length - 1 > i || arr.length === 1;
    }).join(".")))]), _c("span", [_vm._v("." + _vm._s(file.name.split(".")[file.name.split(".").length - 1]))])]), _c("div", {
      staticClass: "hidden sm:block sm:invisible sm:group-hover:visible min-w-fit text-color-brand-hover text-xs"
    }, [_vm._t("operate", [_vm.handlePreview && ~["success", "downloading"].indexOf(file.status) ? _c("span", {
      staticClass: "mr-2 cursor-pointer",
      on: {
        "click": function click($event) {
          return _vm.handlePreview(file);
        }
      }
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.preview")))]) : _vm._e(), _vm.handleDownloadFile && !~["fail", "uploading"].indexOf(file.status) ? _c("span", {
      staticClass: "mr-2 cursor-pointer",
      on: {
        "click": function click($event) {
          return _vm.handleDownloadFile(file);
        }
      }
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.download")))]) : _vm._e(), (_vm.isEdm ? true : _vm.handleReUpload) && ~["fail"].indexOf(file.status) ? _c("span", {
      staticClass: "mr-2 cursor-pointer",
      on: {
        "click": function click($event) {
          return _vm.reUpload(file);
        }
      }
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.reUpload")))]) : _vm._e(), !_vm.displayOnly ? _c("span", {
      staticClass: "cursor-pointer",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.delete")))]) : _vm._e()], {
      "file": file
    })], 2)]), _c("div", {
      staticClass: "flex h-4 leading-5"
    }, [_c("span", {
      staticClass: "overflow-hidden text-ellipsis whitespace-nowrap font-light sm:font-normal"
    }, [~["fail"].indexOf(file.status) ? _c("span", {
      staticClass: "hidden sm:inline text-color-error-hover"
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.uploadFailed")))]) : _vm._e(), ~["fail"].indexOf(file.status) ? _c("span", {
      staticClass: "inline sm:hidden text-color-error-hover"
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.uploadFailedAndReupload")))]) : ~["uploading"].indexOf(file.status) ? _c("span", {
      staticClass: "text-color-text-placeholder"
    }, [_vm._v(_vm._s((~["uploading"].indexOf(file.status) ? Math.round(file.size * file.percentage / 100 / 1024 / 1024 * 10) / 10 + "M/" : "") + Math.round(file.size / 1024 / 1024 * 10) / 10 + "M"))]) : _vm._e()]), _c("span", {
      staticClass: "flex-1 ml-2 overflow-hidden text-ellipsis whitespace-nowrap text-right text-color-none"
    }, [_vm._t("assist-content", null, {
      "file": file
    })], 2)]), _c("div", {
      staticClass: "sm:invisible absolute top-1/2 right-2 -translate-y-1/2 cursor-pointer"
    }, [~["success", "downloading"].indexOf(file.status) ? _c("icon-ellipsis", {
      class: "fill-color-text-primary",
      on: {
        "click": function click($event) {
          return _vm.showOperatePanel(file);
        }
      }
    }) : _vm._e(), !_vm.displayOnly && ~["uploading", "fail"].indexOf(file.status) ? _c("icon-error", {
      staticClass: "fill-color-none-hover",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }) : _vm._e()], 1), _c("div", {
      staticClass: "absolute left-0 top-0 w-[calc(100%-theme(spacing.10))] h-full mr-10 sm:hidden sm:mr-0",
      on: {
        "click": function click($event) {
          return _vm.reUpload(file);
        }
      }
    })])], {
      "file": file
    })], 2);
  }), 0) : _c("div", {
    staticClass: "my-4 text-color-none text-xs"
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.noAttachments")) + " ")])]) : _vm.listType === "drag-single" ? _c("div", {
    staticClass: "border-dashed border-color-border text-center"
  }, [_vm._t("upload"), _c("div", {
    staticClass: "absolute w-full h-full top-0 left-0",
    class: [_vm.files.length ? "z-0" : "z-[-1]"]
  }, [!_vm.files.length ? _c("div", [_c("icon-cloud-upload", {
    class: [_vm.isDragover ? "fill-color-brand" : "fill-color-none-hover"],
    attrs: {
      "custom-class": "w-12 h-12 mt-6"
    }
  }), _c("div", {
    staticClass: "mb-0.5 text-sm text-color-text-secondary",
    class: _vm.isDragover ? "mt-4" : "mt-3"
  }, [_vm._v(" " + _vm._s(_vm.isDragover ? _vm.t("ui.uploadList.releaseAndUpload") : _vm.t("ui.uploadList.dragOrClickImport")) + " ")]), !_vm.isDragover ? _vm._t("tip") : _vm._e()], 2) : _c("div", {
    staticClass: "h-full"
  }, _vm._l(_vm.files, function(file) {
    return _c("div", {
      key: file.uid,
      attrs: {
        "tabindex": "0"
      }
    }, [_vm._t("default", [["fail"].includes(file.status) ? _c("div", [_c("icon-cloud-upload", {
      class: [_vm.isDragover ? "fill-color-brand" : "fill-color-none-hover"],
      attrs: {
        "custom-class": "w-12 h-12 mt-6"
      }
    }), _c("div", {
      staticClass: "mt-4.5"
    }, [_c("icon-cue-l", {
      staticClass: "fill-color-error"
    }), _c("span", {
      staticClass: "mt-1 pl-1 align-middle text-color-error text-xs"
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.uploadFailed")))])], 1)], 1) : _c("div", [_c("div", {
      staticClass: "relative inline-block w-12 h-12 mt-6 align-top"
    }, [~["uploading"].indexOf(file.status) ? _c("div", {
      staticClass: "w-1/2 h-full absolute top-0 left-0 rounded-l overflow-hidden"
    }, [_c("div", {
      staticClass: "absolute w-16 h-16 top-1/2 right-0 origin-right bg-color-bg-7",
      style: {
        transform: "translateY(-50%) rotate(" + _vm.parsePercentage(Math.max(0, Math.min(file.percentage || 0, 100) - 50) / 50 * 180) + "deg)"
      }
    })]) : _vm._e(), ~["uploading"].indexOf(file.status) ? _c("div", {
      staticClass: "w-1/2 h-full absolute top-0 left-1/2 rounded-r overflow-hidden"
    }, [_c("div", {
      staticClass: "absolute w-16 h-16 top-1/2 left-0 origin-left bg-color-bg-7",
      style: {
        transform: "translateY(-50%) rotate(" + _vm.parsePercentage(Math.min(50, file.percentage || 0) / 50 * 180) + "deg)"
      }
    })]) : _vm._e(), ~["uploading", "success", "downloading"].indexOf(file.status) ? _c(_vm.getFileIcon({
      type: _vm.getFileType({
        file
      })
    }).name, {
      tag: "component",
      style: {
        fill: _vm.getFileIcon({
          type: _vm.getFileType({
            file
          })
        }).color
      },
      attrs: {
        "custom-class": "w-full h-full rounded-sm"
      }
    }) : _vm._e()], 1), _c("div", {
      staticClass: "mt-3 mb-2"
    }, [_vm._v(_vm._s(file.name))]), _c("div", [_c("span", {
      staticClass: "text-color-brand cursor-pointer",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.delete")))])])])], {
      "file": file
    })], 2);
  }), 0)])], 2) : _c("div", {
    class: [{
      "grid grid-cols-3 gap-x-4 sm:grid-cols-[repeat(auto-fit,theme(spacing.24))]": _vm.listType === "picture-card"
    }, _vm.showName ? "gap-y-8" : "gap-y-4"]
  }, [_vm._l(_vm.files, function(file, index) {
    return _c("div", {
      key: file.uid,
      class: ["group relative", {
        "hidden": _vm.listType === "picture-single" && index
      }, _vm.listType === "picture-single" ? "w-24 h-24 sm:w-[calc(" + _vm.scale + "*theme(spacing.20))] sm:h-20" : "w-full pt-[100%]"],
      attrs: {
        "tabindex": "0"
      },
      on: {
        "keydown": function keydown($event) {
          if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "delete", [8, 46], $event.key, ["Backspace", "Delete", "Del"]))
            return null;
          !_vm.disabled && _vm.remove({
            file
          });
        }
      }
    }, [_c("div", {
      staticClass: "absolute top-0 left-0 w-full h-full"
    }, [_vm._t("default", [!_vm.displayOnly && (file.status !== "uploading" || ~["video", "audio"].indexOf(file.type)) ? _c("icon-error", {
      staticClass: "absolute w-5 h-5 -top-1.5 fill-color-none-hover hover:cursor-pointer z-[1]",
      class: [{
        "sm:hidden -top-1.5": !~["video", "audio"].indexOf(file.type)
      }, _vm.listType === "picture-single" ? "-right-1.5" : "-right-1.5"],
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }) : _vm._e(), _c("div", {
      staticClass: "relative w-full h-full after:absolute after:w-full after:h-full after:left-0 after:top-0 after:rounded after:bg-color-bg-7",
      class: [!~["uploading", "fail"].indexOf(file.status) ? "after:hidden sm:after:group-hover:block" : "", {
        "mb-7": _vm.listType === "picture-card" && _vm.showName
      }, ~["video", "audio"].indexOf(file.type) ? "after:opacity-0" : "after:opacity-50"]
    }, [file.type === "video" ? _c("video", {
      ref: "video" + (file.uid || index),
      refInFor: true,
      staticClass: "w-full h-full border rounded object-cover"
    }, [_c("source", {
      attrs: {
        "src": file.url,
        "type": "video/mp4"
      }
    }), _c("source", {
      attrs: {
        "src": file.url,
        "type": "video/ogg"
      }
    }), _c("source", {
      attrs: {
        "src": file.url,
        "type": "video/webm"
      }
    })]) : file.type === "audio" ? _c("div", {
      staticClass: "flex w-full h-full justify-center items-center border rounded border-transparent bg-color-info-secondary-subtle"
    }, [_c("audio", {
      ref: "audio" + (file.uid || index),
      refInFor: true,
      on: {
        "loadedmetadata": function loadedmetadata($event) {
          _vm.handleLoadedmetadata({
            e: $event,
            file
          });
        },
        "timeupdate": function timeupdate($event) {
          _vm.handleTimeupdate({
            e: $event,
            file
          });
        }
      }
    }, [_c("source", {
      attrs: {
        "src": file.url,
        "type": "video/mp3"
      }
    }), _c("source", {
      attrs: {
        "src": file.url,
        "type": "video/ogg"
      }
    }), _c("source", {
      attrs: {
        "src": file.url,
        "type": "video/wav"
      }
    })])]) : _c("img", {
      staticClass: "w-full h-full border rounded",
      attrs: {
        "src": file.url,
        "alt": ""
      }
    }), _c("div", {
      staticClass: "mt-2 overflow-hidden overflow-ellipsis whitespace-nowrap text-color-text-primary text-xs",
      class: {
        "hidden": !_vm.showName
      },
      attrs: {
        "title": file.name
      }
    }, [_vm._v(" " + _vm._s(file.name) + " ")]), _c("div", {
      staticClass: "absolute w-full top-1/2 left-0 -translate-y-1/2 z-[1] text-center hover:cursor-pointer"
    }, [~["uploading"].indexOf(file.status) ? _c("div", [_c("tiny-progress", {
      staticClass: "inline-block w-[calc(100%-theme(spacing.10))]",
      attrs: {
        "percentage": _vm.parsePercentage(file.percentage),
        "show-text": false,
        "stroke-width": 4,
        "color": "#fff"
      }
    }), _c("div", {
      staticClass: "mt-3 text-color-text-inverse text-xs"
    }, [_vm._v(" " + _vm._s(~["video", "audio"].indexOf(file.type) ? _vm.t("ui.uploadList.uploading") : _vm.t("ui.uploadList.pictureUploading")) + " ")])], 1) : ~["fail"].indexOf(file.status) ? _c("div", [_c("span", {
      staticClass: "block sm:group-hover:hidden"
    }, [_c("icon-cue-l", {
      staticClass: "w-6 h-6 fill-color-icon-inverse"
    }), _c("div", {
      staticClass: "mt-1 text-color-text-inverse text-xs"
    }, [_vm._v(_vm._s(_vm.t("ui.uploadList.uploadFailed")))])], 1), _c("span", {
      staticClass: "hidden sm:group-hover:block"
    }, [(_vm.isEdm ? true : _vm.handleReUpload) ? _c("icon-refres", {
      staticClass: "w-6 h-6 mr-2 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          return _vm.reUpload(file);
        }
      }
    }) : _vm._e(), !_vm.displayOnly && _vm.listType !== "picture-single" ? _c("icon-del", {
      staticClass: "w-6 h-6 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }) : _vm._e()], 1)]) : _c("div", [_c("div", {
      class: ["hidden", {
        "sm:group-hover:block": !~["video", "audio"].indexOf(file.type)
      }]
    }, [_vm._t("operate", [_vm.handlePreview ? _c("icon-eyeopen", {
      staticClass: "w-6 h-6 mr-2 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          return _vm.handlePreview(file);
        }
      }
    }) : _vm._e(), _vm.handleDownloadFile ? _c("icon-download", {
      staticClass: "w-6 h-6 mr-2 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          return _vm.handleDownloadFile(file);
        }
      }
    }) : _vm._e(), !_vm.displayOnly ? _c("icon-del", {
      staticClass: "w-6 h-6 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.remove({
            file
          });
        }
      }
    }) : _vm._e()], {
      "file": file
    })], 2), file.type === "video" ? _c("div", {
      staticClass: "inline-block w-8 h-8 text-center rounded-full group-hover:bg-color-bg-7",
      class: !file.isPlay ? "bg-color-bg-7" : "bg-opacity-0"
    }, [_c("icon-right", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: !file.isPlay,
        expression: "!file.isPlay"
      }],
      staticClass: "w-4 h-4 mt-2 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          return _vm.play({
            file,
            index,
            type: "video"
          });
        }
      }
    }), _c("icon-pause", {
      directives: [{
        name: "show",
        rawName: "v-show",
        value: file.isPlay,
        expression: "file.isPlay"
      }],
      staticClass: "w-6 h-6 hidden group-hover:inline-block mt-1 fill-color-icon-inverse",
      on: {
        "click": function click($event) {
          return _vm.pause({
            file,
            index,
            type: "video"
          });
        }
      }
    })], 1) : _vm._e(), file.type === "audio" ? _c("div", [_c("icon-audio", {
      staticClass: "w-6 h-6 fill-color-brand",
      on: {
        "click": function click($event) {
          return _vm.play({
            file,
            index,
            type: "audio"
          });
        }
      }
    }), _c("div", [_vm._v(_vm._s((file.currentSecond || 0) + " / " + (file.totalSecond || 0)))])], 1) : _vm._e()])])]), _vm.handlePreview && ~["success"].indexOf(file.status) ? _c("div", {
      staticClass: "absolute w-full h-full left-0 top-0 sm:hidden",
      on: {
        "click": function click($event) {
          return _vm.handlePreview(file);
        }
      }
    }) : _vm._e()], {
      "file": file
    })], 2)]);
  }), _vm._l(_vm.types, function(type, i) {
    return _c("div", {
      key: i,
      staticClass: "relative",
      class: [_vm.listType === "picture-single" ? "w-24 h-24 sm:w-[calc(" + _vm.scale + "*theme(spacing.20))] sm:h-20" : "pt-[100%]", {
        "hidden": _vm.displayOnly && _vm.files.length
      }, {
        "hidden": !_vm.displayOnly && _vm.listType === "picture-single" && _vm.files.length
      }]
    }, [_c("div", {
      staticClass: "absolute top-0 left-0 w-full h-full"
    }, [_vm._t("upload", null, {
      "type": type
    })], 2)]);
  })], 2), _c("tiny-action-sheet", {
    attrs: {
      "show-header": false,
      "lock-scroll": _vm.lockScroll,
      "visible": _vm.state.showPanel,
      "custom-class": "!min-h-0 py-0"
    },
    on: {
      "update:visible": function updateVisible($event) {
        _vm.state.showPanel = $event;
      }
    }
  }, [_vm._t("operate", [_c("div", {
    staticClass: "text-center"
  }, [_vm.handleDownloadFile ? _c("div", {
    staticClass: "h-12 flex items-center justify-center border-b border-color-border-separator cursor-pointer",
    on: {
      "click": function click() {
        _vm.state.showPanel = false;
        _vm.handleDownloadFile(_vm.state.currentFile);
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.download")) + " ")]) : _vm._e(), _vm.handlePreview ? _c("div", {
    staticClass: "h-12 flex items-center justify-center border-b border-color-border-separator cursor-pointer",
    on: {
      "click": function click() {
        _vm.state.showPanel = false;
        _vm.handlePreview(_vm.state.currentFile);
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.preview")) + " ")]) : _vm._e(), !_vm.displayOnly ? _c("div", {
    staticClass: "h-12 flex items-center justify-center cursor-pointer",
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return function() {
          _vm.state.showPanel = false;
          _vm.remove({
            file: _vm.state.currentFile
          });
        }();
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.delete")) + " ")]) : _vm._e(), _c("div", {
    staticClass: "h-2 bg-color-bg-2"
  }), _c("div", {
    staticClass: "h-12 flex items-center justify-center cursor-pointer",
    on: {
      "click": function click($event) {
        _vm.state.showPanel = false;
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.cancel")) + " ")])])], {
    "file": _vm.state.currentFile || {}
  })], 2), _c("tiny-action-sheet", {
    attrs: {
      "show-header": false,
      "lock-scroll": _vm.lockScroll,
      "visible": _vm.state.showTriggerPanel,
      "custom-class": "!min-h-0 py-0"
    },
    on: {
      "update:visible": function updateVisible($event) {
        _vm.state.showTriggerPanel = $event;
      }
    }
  }, [_c("div", {
    staticClass: "text-center"
  }, [_c("div", {
    staticClass: "h-12 flex items-center justify-center cursor-pointer",
    on: {
      "click": function click($event) {
        return _vm.handleTriggerClick($event, _vm.state.triggerClickType === "video" ? 3 : 2);
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.shoot")) + " ")]), _c("div", {
    staticClass: "h-12 flex items-center cursor-pointer",
    on: {
      "click": function click($event) {
        return _vm.handleTriggerClick($event, 1);
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.selectFromAlbum")) + " ")]), _c("div", {
    staticClass: "h-2 bg-color-bg-2"
  }), _c("div", {
    staticClass: "h-12 flex items-center cursor-pointer",
    on: {
      "click": function click($event) {
        _vm.state.showTriggerPanel = false;
      }
    }
  }, [_vm._v(" " + _vm._s(_vm.t("ui.uploadList.cancel")) + " ")])])]), _c("tiny-record", {
    attrs: {
      "isHwh5": _vm.isHwh5
    },
    on: {
      "trigger-click": _vm.handleTriggerClick
    },
    model: {
      value: _vm.state.showAudioPanel,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "showAudioPanel", $$v);
      },
      expression: "state.showAudioPanel"
    }
  })], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
