import { defineComponent, $prefix, props, setup as _setup } from "@dft-vue-2-opentiny/vue-common";
import { renderless, api } from "@dft-vue-2-opentiny/vue-renderless/upload-list/vue";
import Progress from "@dft-vue-2-opentiny/vue-progress";
import ImageViewer from "@dft-vue-2-opentiny/vue-image-viewer";
import { iconAttachment, iconSuccessful, iconClose, iconView, iconDel, iconYes, iconCloseCircle, iconError, iconFileCloudupload, iconDownload } from "@dft-vue-2-opentiny/vue-icon";
import Modal from "@dft-vue-2-opentiny/vue-modal";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "UploadList",
  components: {
    Progress,
    TinyImageViewer: ImageViewer,
    IconAttachment: iconAttachment(),
    IconSuccessful: iconSuccessful(),
    IconClose: iconClose(),
    IconView: iconView(),
    IconDel: iconDel(),
    IconYes: iconYes(),
    IconCloseCircle: iconCloseCircle(),
    IconError: iconError(),
    IconFileCloudupload: iconFileCloudupload(),
    IconDownload: iconDownload()
  },
  props: [].concat(props, ["disabled", "display", "files", "filesIcon", "handlePreview", "isEdm", "isFolder", "listType", "openDownloadFile", "srcList", "isFolderTitle", "listOption", "maxNameLength", "mode"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api,
      extendOptions: {
        Modal
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _vm.state.screenType ? _c("div", {
    class: ["tiny-mobile-upload-list", "tiny-mobile-upload-list--" + _vm.listType, {
      "is-disabled": _vm.disabled
    }]
  }, [_c("transition-group", {
    attrs: {
      "tag": "ul",
      "name": "tiny-list"
    }
  }, _vm._l(_vm.files, function(file, index) {
    return _c("li", {
      key: file.uid,
      class: ["tiny-mobile-upload-list__item", "is-" + file.status, _vm.state.focusing ? "focusing" : ""],
      attrs: {
        "tabindex": "0"
      },
      on: {
        "keydown": function keydown($event) {
          if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "delete", [8, 46], $event.key, ["Backspace", "Delete", "Del"]))
            return null;
          !_vm.disabled && _vm.$emit("remove", file);
        },
        "click": function click($event) {
          return _vm.picturefilePreview(index);
        }
      }
    }, [_vm._t("default", [["picture-card"].indexOf(_vm.listType) > -1 ? _c("div", {
      staticClass: "tiny-mobile-upload-list__card"
    }, [file.status !== "uploading" && ["picture-card"].indexOf(_vm.listType) > -1 ? _c("img", {
      staticClass: "tiny-mobile-upload-list__item-thumbnail",
      attrs: {
        "src": file.url,
        "alt": ""
      }
    }) : _vm._e(), _vm.listType === "picture-card" && _vm.display ? _c("icon-error", {
      staticClass: "icon-close card-close",
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.$emit("remove", file);
        }
      }
    }) : _vm._e(), file.status === "uploading" ? _c("Progress", {
      attrs: {
        "type": "circle",
        "percentage": _vm.parsePercentage(file.percentage),
        "stroke-width": 1.4,
        "width": 32
      }
    }) : _vm._e()], 1) : _c("div", {
      staticClass: "tiny-mobile-upload-list__list"
    }, [_c("div", {
      staticClass: "file-type"
    }, [_vm.filesIcon.length === 0 ? _c("icon-attachment") : _vm._e(), _vm._l(_vm.filesIcon, function(item, index2) {
      return [_vm.filesIcon && _vm.state.screenType && file.fileType === item.type ? _c("img", {
        key: index2,
        class: ["file-type-icon", "is-" + item.type],
        attrs: {
          "src": item.url
        }
      }) : _vm._e()];
    })], 2), _c("div", {
      staticClass: "tiny-mobile-upload-list__text file-content",
      on: {
        "click": function click($event) {
          return _vm.handleClick(file);
        }
      }
    }, [_c("p", {
      staticClass: "tiny-mobile-upload-list__text-details file-name"
    }, [_vm._v(" " + _vm._s(file.name) + " ")]), _c("p", {
      staticClass: "tiny-mobile-upload-list__text-details file-size"
    }, [_vm._v(" " + _vm._s(file.size) + " ")]), file.status === "uploading" ? _c("Progress", {
      attrs: {
        "show-text": false,
        "stroke-width": 2,
        "percentage": _vm.parsePercentage(file.percentage)
      }
    }) : _vm._e()], 1), _c("div", {
      staticClass: "file-delete"
    }, [_vm.listType !== "picture-card" && _vm.display ? _c("icon-close-circle", {
      staticClass: "icon-close",
      on: {
        "click": function click($event) {
          return _vm.$emit("remove", file);
        }
      }
    }) : _vm._e()], 1)])], {
      "file": file
    })], 2);
  }), 0), _vm.listType === "picture-card" ? _c("tiny-image-viewer", {
    attrs: {
      "url-list": _vm.srcList,
      "close-show": true,
      "show-index": true,
      "start-position": _vm.state.startPostion,
      "tool-show": "",
      "delete-button": ""
    },
    on: {
      "update:preview-visible": function updatePreviewVisible($event) {
        _vm.state.shows = $event;
      },
      "newImageList": _vm.getDeleteData
    }
  }) : _vm._e()], 1) : _c("transition-group", {
    class: ["tiny-upload-list", "tiny-upload-list--" + _vm.listType, {
      "is-disabled": _vm.disabled
    }],
    attrs: {
      "tag": "ul",
      "name": "tiny-list"
    }
  }, _vm._l(_vm.files, function(file) {
    return _c("li", {
      key: file.uid,
      class: ["tiny-upload-list__item", "is-" + file.status, _vm.state.focusing ? "focusing" : "", {
        isEdm: _vm.isEdm
      }, {
        showUpdate: _vm.listOption.showUpdate
      }, {
        showDel: _vm.listOption.showDel
      }],
      attrs: {
        "tabindex": "0"
      },
      on: {
        "keydown": function keydown($event) {
          if (!$event.type.indexOf("key") && _vm._k($event.keyCode, "delete", [8, 46], $event.key, ["Backspace", "Delete", "Del"]))
            return null;
          !_vm.disabled && _vm.$emit("remove", file);
        },
        "focus": function focus($event) {
          _vm.state.focusing = true;
        },
        "blur": function blur($event) {
          _vm.state.focusing = false;
        },
        "click": function click($event) {
          _vm.state.focusing = false;
        }
      }
    }, [_vm._t("default", [file.status !== "uploading" && ["picture-card", "picture"].indexOf(_vm.listType) > -1 ? _c("img", {
      staticClass: "tiny-upload-list__item-thumbnail",
      attrs: {
        "src": file.url,
        "alt": ""
      }
    }) : _vm._e(), _c("a", {
      class: ["tiny-upload-list__item-name", {
        isFail: _vm.isEdm && file.status === "fail"
      }],
      attrs: {
        "title": _vm.isFolderTitle ? (file.path || "") + file.name : file.name
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick($event, file);
        }
      }
    }, [!_vm.isFolder ? _c("icon-attachment", {
      staticClass: "tiny-svg-size",
      attrs: {
        "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
      }
    }) : _vm._e(), _vm._v(_vm._s(file.name.length > _vm.maxNameLength ? file.name.substring(0, _vm.maxNameLength) + "..." : file.name) + " ")], 1), _vm.isEdm ? _c("div", {
      class: ["tiny-upload-list__item-edminfo", {
        isFail: _vm.isEdm && file.status === "fail"
      }]
    }, [_c("span", [_vm._v(_vm._s(file.docId))]), _c("span", [_vm._v(_vm._s(file.version))]), _c("span", [_vm._v(_vm._s(file.size))]), _c("span", [_vm._v(_vm._s(file.serverName))])]) : _vm._e(), _c("label", {
      staticClass: "tiny-upload-list__item-status-label"
    }, [_vm.listType === "text" ? _c("icon-successful", {
      staticClass: "tiny-svg-size icon-successful"
    }) : _vm._e(), ["picture-card", "picture"].indexOf(_vm.listType) > -1 ? _c("icon-yes", {
      staticClass: "tiny-svg-size tiny-icon-check"
    }) : _vm._e()], 1), _vm.isEdm && !_vm.isFolder && !_vm.disabled && file.status !== "fail" && _vm.listOption.showUpdate ? _c("span", {
      attrs: {
        "title": _vm.t("ui.fileUpload.updateFile")
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("update", file);
        }
      }
    }, [_c("icon-file-cloudupload", {
      staticClass: "tiny-svg-size icon-refres",
      attrs: {
        "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
      }
    })], 1) : _vm._e(), !_vm.disabled && _vm.listOption.showDel ? _c("span", {
      attrs: {
        "title": _vm.t("ui.fileUpload.deleteFile")
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("remove", file);
        }
      }
    }, [_c("icon-close", {
      staticClass: "tiny-svg-size icon-close",
      attrs: {
        "fill": _vm.isEdm && file.status === "fail" ? "#f5222d" : ""
      }
    })], 1) : _vm._e(), !_vm.disabled && _vm.listOption.showDel ? _c("i", {
      staticClass: "tiny-icon-close-tip"
    }, [_vm._v(" " + _vm._s(_vm.t("ui.fileUpload.deleteTip")))]) : _vm._e(), file.status === "uploading" || file.status === "downloading" ? _c("Progress", {
      attrs: {
        "type": _vm.listType === "picture-card" ? "circle" : "line",
        "stroke-width": _vm.listType === "picture-card" ? 6 : 2,
        "percentage": _vm.parsePercentage(file.percentage)
      }
    }) : _vm._e(), _vm.listType === "picture-card" ? _c("span", {
      staticClass: "tiny-upload-list__item-actions"
    }, [_vm.openDownloadFile ? _c("span", {
      staticClass: "tiny-upload-list__item-download",
      attrs: {
        "title": _vm.t("ui.fileUpload.downloadFile")
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick(file);
        }
      }
    }, [_c("icon-download", {
      staticClass: "tiny-svg-size"
    })], 1) : _vm._e(), _vm.handlePreview ? _c("span", {
      staticClass: "tiny-upload-list__item-preview",
      attrs: {
        "title": _vm.t("ui.fileUpload.previewFile")
      },
      on: {
        "click": function click($event) {
          return _vm.handlePreview(file);
        }
      }
    }, [_c("icon-view", {
      staticClass: "tiny-svg-size"
    })], 1) : _vm._e(), _vm.isEdm && !_vm.isFolder && !_vm.disabled ? _c("span", {
      staticClass: "tiny-upload-list__item-refres",
      attrs: {
        "title": _vm.t("ui.fileUpload.updateFile")
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("update", file);
        }
      }
    }, [_c("icon-file-cloudupload", {
      staticClass: "tiny-svg-size"
    })], 1) : _vm._e(), !_vm.disabled ? _c("span", {
      staticClass: "tiny-upload-list__item-delete",
      attrs: {
        "title": _vm.t("ui.fileUpload.deleteFile")
      },
      on: {
        "click": function click($event) {
          return _vm.$emit("remove", file);
        }
      }
    }, [_c("icon-del", {
      staticClass: "tiny-svg-size"
    })], 1) : _vm._e()]) : _vm._e()], {
      "file": file
    })], 2);
  }), 0);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
